<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp2.2</TargetFramework>
    <AspNetCoreHostingModel>InProcess</AspNetCoreHostingModel>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
    <UserSecretsId>4951381b-f998-4644-a587-a5ede9f4fa11</UserSecretsId>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="AutoMapper" Version="8.0.0" />
    <PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="6.0.0" />
    <PackageReference Include="Microsoft.AspNetCore.App" />
    <PackageReference Include="Microsoft.AspNetCore.Razor.Design" Version="2.2.0" PrivateAssets="All" />
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.0.2105168" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="2.2.0" />
    <PackageReference Include="MongoDB.Driver" Version="2.7.2" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="4.0.1" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\src\Entities\MessyCodes.MongoDb.Entities\MessyCodes.MongoDb.Entities.csproj" />
    <ProjectReference Include="..\..\src\Repositories\MessyCodes.MongoDb.Context\MessyCodes.MongoDb.Context.csproj" />
    <ProjectReference Include="..\..\src\Repositories\MessyCodes.MongoDb.Repositories\MessyCodes.MongoDb.Repositories.csproj" />
  </ItemGroup>

</Project>
